Package org.apache.bcel.generic

# Class ElementValuePairGen

java.lang.Object
org.apache.bcel.generic.ElementValuePairGen

public class ElementValuePairGen extends Object

Since:
  6.0

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ElementValuePairGen(int idx, ElementValueGen value, ConstantPoolGen cpool)`
  ``
  `ElementValuePairGen(String name, ElementValueGen value, ConstantPoolGen cpool)`
  ``
  `ElementValuePairGen(ElementValuePair nvp, ConstantPoolGen cpool, boolean copyPoolEntries)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `dump(DataOutputStream dos)`
  `ElementValuePair`
  `getElementNameValuePair()`
  Retrieve an immutable version of this ElementNameValuePairGen
  `int`
  `getNameIndex()`
  `final String`
  `getNameString()`
  `final ElementValueGen`
  `getValue()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ElementValuePairGen

    public ElementValuePairGen(ElementValuePair nvp, ConstantPoolGen cpool, boolean copyPoolEntries)

  - ### ElementValuePairGen

    protected ElementValuePairGen(int idx, ElementValueGen value, ConstantPoolGen cpool)

  - ### ElementValuePairGen

    public ElementValuePairGen(String name, ElementValueGen value, ConstantPoolGen cpool)

- ## Method Details

  - ### dump

    protected void dump(DataOutputStream dos) throws IOException
    Throws:
      `IOException`

  - ### getElementNameValuePair

    public ElementValuePair getElementNameValuePair()
    Retrieve an immutable version of this ElementNameValuePairGen

  - ### getNameIndex

    public int getNameIndex()

  - ### getNameString

    public final String getNameString()

  - ### getValue

    public final ElementValueGen getValue()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`